tenant-model-selection
Get current proved model
Read the current proved template-managed model.
GET
/
v1
/
tenant-model-selection
Get current proved model
curl --request GET \
--url https://api.getmillwork.dev/v1/tenant-model-selection \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/tenant-model-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"selection": {
"application_id": "<string>",
"managed_arm_id": "<string>",
"model_deployment_id": "<string>",
"proof_execution_id": "<string>",
"request_policy": {
"budget": {
"max_cost_usd": 123,
"max_runtime_s": 123
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"mode": "live",
"verifier": "platform.output_presence"
},
"request_preset_id": "<string>",
"selected_at": "2023-11-07T05:31:56Z",
"template_id": "starter",
"template_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}⌘I
Get current proved model
curl --request GET \
--url https://api.getmillwork.dev/v1/tenant-model-selection \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/tenant-model-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"selection": {
"application_id": "<string>",
"managed_arm_id": "<string>",
"model_deployment_id": "<string>",
"proof_execution_id": "<string>",
"request_policy": {
"budget": {
"max_cost_usd": 123,
"max_runtime_s": 123
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"mode": "live",
"verifier": "platform.output_presence"
},
"request_preset_id": "<string>",
"selected_at": "2023-11-07T05:31:56Z",
"template_id": "starter",
"template_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}